SELECT Код_класса_точности_тр_напр INTO #TmpTable FROM Справочник_классов_точности_тр_напр
SET IDENTITY_INSERT Справочник_классов_точности_тр_напр ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_класса_точности_тр_напр = 1) INSERT INTO Справочник_классов_точности_тр_напр (Код_класса_точности_тр_напр,Описание,Относительная_точность) VALUES (1,'0,1',0.1)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_класса_точности_тр_напр = 2) INSERT INTO Справочник_классов_точности_тр_напр (Код_класса_точности_тр_напр,Описание,Относительная_точность) VALUES (2,'0,2',0.2)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_класса_точности_тр_напр = 3) INSERT INTO Справочник_классов_точности_тр_напр (Код_класса_точности_тр_напр,Описание,Относительная_точность) VALUES (3,'0,5',0.5)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_класса_точности_тр_напр = 4) INSERT INTO Справочник_классов_точности_тр_напр (Код_класса_точности_тр_напр,Описание,Относительная_точность) VALUES (4,'1',1)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_класса_точности_тр_напр = 5) INSERT INTO Справочник_классов_точности_тр_напр (Код_класса_точности_тр_напр,Описание,Относительная_точность) VALUES (5,'3',3)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_класса_точности_тр_напр = 6) INSERT INTO Справочник_классов_точности_тр_напр (Код_класса_точности_тр_напр,Описание,Относительная_точность) VALUES (6,'3P',3)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_класса_точности_тр_напр = 7) INSERT INTO Справочник_классов_точности_тр_напр (Код_класса_точности_тр_напр,Описание,Относительная_точность) VALUES (7,'6P',3)

SET IDENTITY_INSERT Справочник_классов_точности_тр_напр OFF
DROP TABLE #TmpTable
